import java.awt.*;

public class GridFrame extends Frame {

  	public static final int CENTER = 10;
  	public static final int NORTH = 11;
  	public static final int NORTHEAST = 12;
  	public static final int EAST = 13;
  	public static final int SOUTHEAST = 14;
  	public static final int SOUTH = 15;
  	public static final int SOUTHWEST = 16;
  	public static final int WEST = 17;
  	public static final int NORTHWEST = 18;

	public GridBagLayout grid;
	public GridBagConstraints gridc;

	public GridFrame (String title)
	{
		super (title);
		setBackground (new Color (207,207,183));
		grid = new GridBagLayout ();
		gridc = new GridBagConstraints ();
		gridc.fill = 0;
		gridc.weightx = 1.0;
		gridc.weighty = 1.0;
		gridc.ipadx = gridc.ipady = 5;
		setLayout (grid);
	}

	public void initScreen ()
	{
	}

	public void addElement (int anchor, Component c, int x, int y, int spanx, int spany)
	{
		gridc.gridx = x;
		gridc.gridy = y;
		gridc.gridwidth = spanx;
		gridc.gridheight = spany;
		gridc.anchor = anchor;
		grid.setConstraints (c, gridc);
		add (c);
	}
}

class GridPanel extends Panel {

  	public static final int CENTER = 10;
  	public static final int NORTH = 11;
  	public static final int NORTHEAST = 12;
  	public static final int EAST = 13;
  	public static final int SOUTHEAST = 14;
  	public static final int SOUTH = 15;
  	public static final int SOUTHWEST = 16;
  	public static final int WEST = 17;
  	public static final int NORTHWEST = 18;

	public GridBagLayout grid;
	public GridBagConstraints gridc;

	public GridPanel ()
	{
		setBackground (new Color (207,207,183));
		grid = new GridBagLayout ();
		gridc = new GridBagConstraints ();
		gridc.fill = 0;
		gridc.weightx = 0;
		gridc.weighty = 0;
		gridc.ipadx = gridc.ipady = 0;
		setLayout (grid);
	}

	public void addElement (int anchor, Component c, int x, int y, int spanx, int spany)
	{
		gridc.gridx = x;
		gridc.gridy = y;
		gridc.gridwidth = spanx;
		gridc.gridheight = spany;
		gridc.anchor = anchor;
		grid.setConstraints (c, gridc);
		add (c);
	}
}
