import java.awt.*;

class MessageBox extends Dialog {

	public MessageBox (Frame f, String s1, String s)
	{
		super (f, s1, true);
		setBackground (new Color (146,208,229));
		Label l = new Label (s);
		l.setFont (new Font ("TimeRoman", Font.BOLD | Font.ITALIC, 20));
		add ("Center", l);
		Button ok = new Button ("OK");
		ok.setBackground (new Color (120,180,200));
		add ("South", ok);
		pack ();
		show ();
	}

	public boolean handleEvent (Event evt)
	{
		if ((evt.id == Event.WINDOW_DESTROY) ||  
		    (evt.arg == "OK") ||
		    (evt.id == Event.KEY_PRESS))
		    {
		    	dispose ();
		    }
		return super.handleEvent (evt);
	}
}
