import java.io.*;
import java.util.Date;

class Stats extends Object {

	int ordersToday;
	double valueToday;

	public Stats ()
	{
		ordersToday = 0;
		valueToday = 0.0;
	}

	public void read (DataInputStream in, int Version) throws IOException
	{
		ordersToday = in.readInt();
		valueToday = in.readDouble();

		// for now - reset for debugging
		ordersToday = 0;
		valueToday = 0.0;
	}

	public void write (DataOutputStream out) throws IOException
	{
		out.writeInt (ordersToday);
		out.writeDouble (valueToday);
	}

	public void print (PrintStream out) throws IOException
	{
		out.println ("" + ordersToday + "\t" + valueToday);
	}

	public void importString (String s)
	{
		int i;
		String s1;
		String t = "\t";

		i = s.indexOf (t);
		ordersToday = Integer.parseInt (s.substring (0, i));

		s = s.substring (i + 1);
		valueToday = new Double (s).doubleValue();

		System.out.println ("converted to " + ordersToday + ", " + valueToday);
	}
}
